Page MenuHomePhabricator

setup/install krb1001/WMF5173
Closed, ResolvedPublic

Description

This task will track the setup and installation of WMF5173 as a kerbos node in eqiad.

Please note this task will be initially assigned to @elukey for feedback on a number of installation required variables.

Hostnames: krb1001
Networking/Subnet/VLAN/IP: Internal subnet
Partitioning/Raid: Just a simple raid1 of the SSDs with a large /srv good enough? (This is our basic setup.)

krb1001:

  • - new hostname labels applied to front and back (create sub-task once hostname is determined) - subtask created
  • - WMF5173 set from 'inventory' to 'planned' as it is allocated for use and no longer a spare system.
  • - switch port updated (description and vlan)
  • - netbox entry updated (hostname)
  • - OS installation
  • - netbox entry status changed to 'staged'
  • - handoff to service implementation team
  • - sub-team which implements the service must change netbox status to 'active'

Event Timeline

RobH created this task.Sep 17 2019, 6:33 PM
RobH reassigned this task from RobH to elukey.Sep 17 2019, 6:38 PM

@elukey,

Please note that both T233141 (eqiad) and T233142 (codfw) are nearly identical.

We need the following info to setup these hosts:

  • Hostnames?
  • Internal or External subnet?
  • standard raid1 of the ssds (with /srv in its own lvm) standard for partitioning?

Please address the above and assign back to me for followup.

Thanks!

RobH mentioned this in Unknown Object (Task).Sep 17 2019, 6:39 PM
elukey reassigned this task from elukey to RobH.Sep 18 2019, 7:56 AM

Thanks a lot!

Hostnames: krb1001 krb2001 (already updated the naming conventions in wikitech)
Internal subnet, no Analytics VLAN
raid1 is good enough

elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Sep 18 2019, 9:38 AM
fdans moved this task from Incoming to Radar on the Analytics board.Sep 23 2019, 3:26 PM
RobH renamed this task from setup/install eqiad kerbos node WMF5173 to setup/install krb1001/WMF5173.Sep 23 2019, 5:12 PM
RobH triaged this task as Medium priority.
RobH updated the task description. (Show Details)

Change 538677 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] krb dns entries

https://gerrit.wikimedia.org/r/538677

Change 538677 merged by RobH:
[operations/dns@master] krb dns entries

https://gerrit.wikimedia.org/r/538677

Change 538681 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] krb1001 install params

https://gerrit.wikimedia.org/r/538681

Change 538681 merged by RobH:
[operations/puppet@production] krb1001 install params

https://gerrit.wikimedia.org/r/538681

RobH reassigned this task from RobH to elukey.Sep 23 2019, 6:16 PM
RobH updated the task description. (Show Details)

@ekuley,

Assigning this to you since you initially requested the hardware. If someone else needs to implement, feel free to reassign or resolve this task as needed.

Please note you'll need to change the state of the system from 'staged' to 'active' in netbox once it's actual service role is applied!

RobH removed a subscriber: RobH.Sep 23 2019, 6:17 PM

Change 538746 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Set Debian Buster for krb1001's PXE boot

https://gerrit.wikimedia.org/r/538746

Change 538746 merged by Elukey:
[operations/puppet@production] Set Debian Buster for krb1001's PXE boot

https://gerrit.wikimedia.org/r/538746

Change 538799 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Add AAAA/PTR records for krb1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/538799

Change 538799 merged by Elukey:
[operations/dns@master] Add AAAA/PTR records for krb1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/538799

elukey closed this task as Resolved.Sep 26 2019, 3:46 PM
elukey updated the task description. (Show Details)
Aklapper edited projects, added Analytics-Radar; removed Analytics.Wed, Jun 10, 6:44 AM